%global		commit 8e12a81897e3ad9fe0645943d5b5b0d788867422
%global		shortcommit %(c=%{commit}; echo ${c:0:7})
%global		oname torbrowser_launcher
Name:		torbrowser-launcher
Version:	0.1.5
Release:	2%{?dist}
Summary:	Tor Browser Bundle managing tool
License:	MIT
URL:		https://github.com/micahflee/torbrowser-launcher
Source0:	https://github.com/micahflee/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	python-psutil
BuildRequires:	python-twisted
BuildRequires:	wmctrl
BuildRequires:	python2-devel
Requires:		python2

%description
Tor Browser Launcher is intended to make the Tor Browser Bundle (TBB)
easier to maintain and use for GNU/Linux users. You install
torbrowser-launcher from your distribution's package manager
and it handles everything else, including:

* Downloading the most recent version of TBB for you,
  in your language and for your architecture
* Automatically updating (while preserving your bookmarks and preferences)
* Verifying the TBB's GnuPG signature
* Includes AppArmor profiles to make a Tor Browser compromise not as bad
* Adding a "Tor Browser" application launcher to your desktop environment's menu

%prep
%setup -q -n %{name}-%{commit}

# We need to specify the distro we are building on, Fedora!
sed -i 's#distro = .*#distro = "Fedora"#g' setup.py

# Delete the deprecated Encoding in the desktop file
sed -i '/Encoding/d' share/applications/torbrowser.desktop

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/torbrowser.desktop

%files
%{_bindir}/%{name}
%doc LICENSE README.md
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%{python2_sitelib}/%{oname}-%{version}-py2.7.egg-info
%{python2_sitelib}/%{oname}/*
/etc/apparmor.d/*

%changelog
* Sat Oct 11 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.5-2
- License fix and Source URL commit

* Fri Oct 10 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.5-1
- Initial package for Fedora
